libunibreak1_1.1-1_amd64.deb


Advertisement

Description

libunibreak1 - line breaking library for Unicode (shared library)

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libunibreak1
Package version: 1.1
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 90 B
Download size: 20.87 KB
Official Mirror: ftp.br.debian.org
libunibreak is an implementation of the Unicode line breaking algorithm described at http://www.unicode.org/reports/tr29/tr29-21.html This package contains shared library to dynamically link with.

Alternatives

Requires

    Download

    Source package: libunibreak

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libunibreak1 deb package:
      # sudo apt-get install libunibreak1

    Files

    • /usr/lib/libunibreak.so.1
    • /usr/lib/libunibreak.so.1.0.1
    • /usr/share/doc/libunibreak1/changelog.Debian.gz
    • /usr/share/doc/libunibreak1/changelog.gz
    • /usr/share/doc/libunibreak1/copyright

    Changelog

    2013-10-24 - Eugene V. Lyubimkin <jackyf@debian.org> libunibreak (1.1-1) unstable; urgency=low * New upstream release. * debian/control: - Replaced 'liblinebreak' with 'libunibreak' in long descriptions. (Closes: #717282) - Updated Unicode reference URLs in long descriptions. - Don't depend on quilt anymore. * debian/copyright: - Simplified and updated copyright years. * debian/patches: - 010-fix-building-without-static.patch: removed, applied upstream. * debian/rules: - Quilt is not used anymore.

    2013-07-07 - Eugene V. Lyubimkin <jackyf@debian.org> libunibreak (1.0-2) unstable; urgency=low * debian/control: - Added missing conflicts with liblinebreak{,2}-dev. (Closes: #710474) * debian/watch: - Adjusted to search for libunibreak, not for liblinebreak.

    2013-05-19 - Eugene V. Lyubimkin <jackyf@debian.org> libunibreak (1.0-1) unstable; urgency=low * New upstream release. * debian/copyright: - Updated. * debian/{control,liblinebreak*}: - Content changes and file renames due to upstream rename. * debian/control: - Added quilt to Build-Depends. - Added dh-autoreconf to Build-Depends. - Bumped Standards-Version to 3.9.4, no changes needed. * debian/rules: - Fixed passing build prefix to ./configure. - Use quilt's dh plugin. - Use dh-autoreconf's dh plugin. - Rewrote using dh override targets. - Added dpkg-buildflags support. * debian/patches: - Added 010-fix-building-without-static.patch, cherry-picked from upstream. * debian/*.symbols: - Recreated for new upstream name. * debian/README.source: - Added with quilt instructions. * debian/NEWS: - Removed as obsolete.

    2011-10-01 - Eugene V. Lyubimkin <jackyf@debian.org> liblinebreak2 (2.1-1) unstable; urgency=low * New upstream release. * debian/copyright: - Updated copyright years. - Updated Unicode page reference. * debian/control: - Updated Unicode page reference. - Bumped Standards-Version to 3.9.2, no changes needed.

    2011-04-08 - Eugene V. Lyubimkin <jackyf@debian.org> liblinebreak2 (2.0-1) unstable; urgency=low * New upstream release. * debian/control: - Bumped Standards-Version to 3.9.1, no changes needed. - Updated package names: 'liblinebreak' -> 'liblinebreak2'. - Updated links to the Unicode documentation in the long descriptions. - Updated my mail address. - Removed 'DM-Upload-Allowed' flag, not needed anymore. - 'liblinebreak2-dev' conflicts with 'liblinebreak-dev'. * debian/changelog: - Changed source package name to liblinebreak2 since API is changed. * debian/copyright: - Updated copyright years. * debian/{liblinebreak -> liblinebreak2}-dev.install: - Don't install .la file. * debian/{liblinebreak -> liblinebreak2}-doc.install - Updated documentation path. * debian/{liblinebreak -> liblinebreak2}-doc.doc-base.reference: - Updated names and documentation path. * debian/{liblinebreak1 -> liblinebreak2}.install: - Updated for new upstream release. * debian/liblinebreak1.symbols: - Removed. * debian/liblinbreak2.symbols: - Created.

    2009-05-03 - Eugene V. Lyubimkin <jackyf.devel@gmail.com> liblinebreak (1.2-1) unstable; urgency=low * New upstream release. * debian/control: - Bumped 'Standards-Version' to 3.8.1, no changes needed. - Added 'autotools-dev' to Build-Depends for newer config.sub and config.guess files. * debian/rules: - Copy newer config.sub and config.guess files for build stage and revert them back in clean target. * debian/liblinebreak1.install: - Adapted to new upstream release. * debian/liblinebreak1.symbols: - Updated.

    2009-01-29 - Eugene V. Lyubimkin <jackyf.devel@gmail.com> liblinebreak (1.0-3) unstable; urgency=low * debian/watch: - Upstream has now placed upstream tarball, so filled it up.

    Advertisement
    Advertisement